## pngphoon 0.0.20060109

=== Makefile ===

CC=gcc
CFLAGS=-Os -Wall -pedantic
LDFLAGS=-lpng -lz -lm

all: pngphoon

pngphoon: image.o pngwrite.o moon.o main.o phase.o tws.o stars.o fail.o
	$(CC) -o $@ $^ $(LDFLAGS)

%.o: %.c
	$(CC) $(CFLAGS) -c $<

test: all
	./pngphoon 1024 768 test.png > log
	xv test.png

clean:
	rm -f *.o pngphoon

## pngphoon 1.1

=== Makefile ===
--- 
+++ 
@@ -11,10 +11,6 @@
 %.o: %.c
 	$(CC) $(CFLAGS) -c $<
 
-test: all
-	./pngphoon 1024 768 test.png > log
-	xv test.png
-
 clean:
 	rm -f *.o pngphoon

## pngphoon 1.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 CC=gcc
-CFLAGS=-Os -Wall -pedantic
+CFLAGS=-Os -Wall -Wextra -pedantic
 LDFLAGS=-lpng -lz -lm
 
 all: pngphoon

=== debian/changelog ===
pngphoon (1.2-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Migrations:
      - DH level to 9.
      - Standards-Version to 3.9.6.
      - debian/copyright to 1.0 format.
      - DebSrc to 3.0 format.
  * debian/clean: Included to remove manpage created when building.
  * debian/copyright: revised and updated all information.
  * debian/dirs: removed because it is useless now.
  * debian/install:
      - Included pngphoon binary.
      - Included sample script to use with xdpyinfo from X11-utils.
  * debian/manpages: created to install the manpage.
  * debian/rules: 
      - Updated to reduced format.
      - Added DEB_BUILD_MAINT_OPTIONS to improve the GCC hardening.
  * debian/watch: Improved and removed extra comments.
  * Added a patch 01-fix-Makefile-for-hardening
    to enable hardening options and remove library not used.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Mon, 10 Aug 2015 00:52:00 -0300

pngphoon (1.1-3) unstable; urgency=low

  * Orphan package.

 -- Meike Reichle <meike@alphascorpii.net>  Wed, 01 Jan 2014 15:29:32 +0100

pngphoon (1.1-2) unstable; urgency=low

  * Depend on libpng-dev (Closes: #662474)
  * Updated debian/rules
  * Updated standards version to 3.9.2 (no changes necessary)

 -- Meike Reichle <meike@debian.org>  Tue, 12 Jun 2012 14:34:10 +0200

pngphoon (1.1-1) unstable; urgency=low

  * New upstream version
  * Changed Maintainer e-mail address

 -- Meike Reichle <meike@debian.org>  Sun, 17 Jan 2010 20:14:59 +0100

pngphoon (1.0-1) unstable; urgency=low

  * New upstream version 
  * Updated to policy version 3.7.3 (new GPL-2 link in debian/copyright)
  * Corrected wrong priority: optional instead of extra
  * Homepage has moved, corrected homepage field
  * Fixed typo in package description
  * Included watch file 
  * Updated self-written documentation
  * Fixed debian-rules-ignores-make-clean-error as pointed out by lintian

 -- Meike Reichle <meike@alphascorpii.net>  Tue, 18 Mar 2008 23:27:39 +0100

pngphoon (0.0.20060109-1) unstable; urgency=low

  * Initial release (Closes: #363431)

 -- Meike Reichle <meike@alphascorpii.net>  Fri, 13 Apr 2007 20:13:16 +0200

=== debian/control ===
Source: pngphoon
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), libpng-dev, docbook-to-man
Standards-Version: 3.9.6
Homepage: http://www.svolli.org/software/pngphoon/

Package: pngphoon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Creates a png file with the current phase of the moon
 This program is intended as a successor to the xphoon program (X PHase of
 mOON). xphoon is a program that displays the actual phase of the moon on the
 X11 root window. Nowadays many desktop systems like KDE hide the X11 root
 window with a background image of their own, so the xphoon output is not
 visible. When called, pngphoon creates a PNG image with the current phase of
 the moon. It can be used with window managers that allow using a command to
 provide a background image.

=== debian/watch ===
version=3
http://www.svolli.org/software/pngphoon/ /download\.php/software/pngphoon/pngphoon-(\d\S+)\.tar\.(?:bz2|gz|xz)

## pngphoon 1.3

=== Makefile ===

CC=gcc
CFLAGS += -Os -Wall -Wextra -pedantic -DSYS5=1
LDFLAGS += -lpng -lz -lm

all: pngphoon

pngphoon: image.o pngwrite.o moon.o main.o phase.o tws.o stars.o fail.o
	$(CC) -o $@ $^ $(LDFLAGS)

%.o: %.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -c $<

clean:
	rm -f *.o pngphoon

=== debian/changelog ===
pngphoon (1.3-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:18:03 +1100

pngphoon (1.3-3build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:51:24 +0000

pngphoon (1.3-3) unstable; urgency=medium

  * d/copyright: Update years.
  * d/rules: Remove -pie and -fPIE from compiler option.
    Disables checking for PIE which is automatically applied by Debian's GCC
    and no longer requires a compiler command line argument.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Wed, 09 Feb 2022 09:34:00 -0300

pngphoon (1.3-2) unstable; urgency=medium

  * New maintainer. (Closes: #726542)
  * d/control: Update upstream homepage.
  * d/rules: Include CFLAGS and LDFLAGS to fix issues pointed by blhc.
  * d/watch: Update to use new upstream repository.
  * d/u/metadata: Include upstream metadata.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Mon, 17 Jan 2022 11:41:00 -0300

pngphoon (1.3-1) unstable; urgency=medium

  * QA upload.
  * New upstream release. (Closes: #1003207)
  * Add debian/salsa-ci.yml.
  * debian/control: update homepage field of the project.
  * debian/copyright:
    - Add myself.
  * debian/patches/01-fix-Makefile-for-hardening: drop patch applied by
    upstream.

  [ Sven Oliver Moll ]
  * Update debian/pnpphoon.sgml.

 -- Leandro Cunha <leandrocunha016@gmail.com>  Tue, 11 Jan 2022 21:36:58 -0300

pngphoon (1.2-2) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Include Rules-Requires-Root: no.
      - Include VCS-* fields
      - Bumped Standards-Version to 4.6.0.1.
  * debian/changelog: remove trailing whitespaces.
  * debian/copyright:
      - Updated packaging copyright years.
      - Used https instead http.
  * debian/watch: update.
  * Include debian/gbp.conf file

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Sun, 07 Nov 2021 21:22:00 -0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,16 @@
 Source: pngphoon
 Section: x11
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9), libpng-dev, docbook-to-man
-Standards-Version: 3.9.6
-Homepage: http://www.svolli.org/software/pngphoon/
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>
+Build-Depends: debhelper-compat (= 13),
+               libpng-dev,
+               docbook-to-man
+Standards-Version: 4.6.0.1
+Rules-Requires-Root: no
+Homepage: https://git.h8u.de/svolli/pngphoon
+Vcs-Browser: https://salsa.debian.org/debian/pngphoon
+Vcs-Git: https://salsa.debian.org/debian/pngphoon.git
 
 Package: pngphoon
 Architecture: any

## pngphoon 1.4

=== Makefile ===

CC ?= gcc
STRIP ?= strip
UPX ?= upx
CFLAGS += -Os -Wall -Wextra -pedantic -DSYS5=1
LDFLAGS += -lpng -lz -lm
EXT ?=

all: pngphoon$(EXT)

.PHONY: man pack clean

pngphoon$(EXT): image.o pngwrite.o moon.o main.o phase.o tws.o stars.o fail.o
	$(CC) -o $@ $^ $(LDFLAGS)

%.o: %.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -c $<

contrib/pngphoon.1: contrib/pngphoon.sgml
	docbook-to-man $< > $@

man: contrib/pngphoon.1

pack: pngphoon$(EXT)
	$(STRIP) -R .note -R .comment $<
	$(UPX) --ultra-brute $<

clean:
	rm -f *.o pngphoon$(EXT)

=== debian/changelog ===
pngphoon (1.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 1.4.
  * d/patches:
    - Fix-FTBFS-using-GCC-15.patch: Fix FTBFS with GCC-15. (Closes: 1097624)

 -- Leandro Cunha <leandrocunha016@gmail.com>  Sun, 10 Aug 2025 16:17:49 -0300

pngphoon (1.3-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/watch: Fix error 404 for get new tarballs.
  * d/patches: Fix incorrect pointer type and change to time_t.
    - Fix FTBFS on arm{el,hf}: tws.c:40:13: error: conflicting types for
    ‘time’; have ‘long int()’. (Closes: #1065972)

 -- Leandro Cunha <leandrocunha016@gmail.com>  Mon, 18 Nov 2024 01:55:38 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pngphoon
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>
+Maintainer: Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                libpng-dev,
                docbook-to-man

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_installdocs:
	dh_installdocs
	docbook-to-man debian/pngphoon.sgml > debian/pngphoon.1

=== debian/watch ===
version=4
opts=filenamemangle=s/.*?\/(\d\S+)\/archive\.tar\.gz/@PACKAGE@-$1\.tar\.gz/ \
https://git.h8u.de/svolli/pngphoon/tags .*/release_?@ANY_VERSION@@ARCHIVE_EXT@
